POST api/particlecounterapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "3aaa9efa-bf63-4e30-9bbb-f9ce6339f9cd",
"cleanroom_id": "cdf28864-4d49-4e75-bc1d-2072708eac64",
"description": "sample string 3",
"id": "92572df6-c3c6-4c21-a0b9-0a439cb42020",
"ip_address": "sample string 5",
"particle_counter_type_id": "f3cdeb3d-8fa2-49b9-9935-fcbc18069e22",
"site_id": "7a0bbde9-c237-4c79-87e6-c56e23a7017c"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>3aaa9efa-bf63-4e30-9bbb-f9ce6339f9cd</anatype_id> <cleanroom_id>cdf28864-4d49-4e75-bc1d-2072708eac64</cleanroom_id> <description>sample string 3</description> <id>92572df6-c3c6-4c21-a0b9-0a439cb42020</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>f3cdeb3d-8fa2-49b9-9935-fcbc18069e22</particle_counter_type_id> <site_id>7a0bbde9-c237-4c79-87e6-c56e23a7017c</site_id> </particle_counter>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"122630ed-7cf6-46c5-9bf4-6d3fa2c295bb"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">122630ed-7cf6-46c5-9bf4-6d3fa2c295bb</guid>